One alternate schema:
---
create sequence sessions_sqx ;

create table sessions 
( session_id NUMBER(38) PRIMARY KEY,
  session_name varchar(40) UNIQUE NOT NULL,
  start_time DATE,
  end_time DATE )  ;

create unique index idx_sessions_name on sessions(session_name) ;

create table session_data
( session_id NUMBER(38) CONSTRAINT fk_sess_d_id REFERENCES sessions(session_id),
  name varchar(200),
  value varchar(4000)  ) ;

alter table session_data add primary key (session_id, name) ;


SELECT d.name as name,
       d.value as value,
 FROM Session_data d, Sessions s
WHERE 
<dtml-sqltest session column=s.session_name type=string>
AND
s.session_id = d.session_id 
<dtml-if name>
AND <dtml-sqltest name type=string>
</dtml-if name>

SELECT d.name as name,
       d.value as value
 FROM Session_data d, Sessions s
WHERE 
s.session_name = '438759435'
AND
s.session_id = d.session_id 
AND d.name = '4i75o3457'


A differenct schema:
----
drop sequence Sessions_sqx ;
create sequence Sessions_sqx ;

drop TABLE Sessions ;

CREATE TABLE Sessions (
  session_name varchar(40) UNIQUE NOT NULL,
  session_id number(38) UNIQUE NOT NULL,
  start_time DATE,
  end_time DATE
);

drop TABLE Session_data ;

CREATE TABLE Session_data (
  session_id number(38) 
	    CONSTRAINT fk_session_data_id 
	    REFERENCES Sessions(session_id) NOT NULL,
  name varchar(200) NOT NULL,
  value varchar(4000)
);

